Download it now!
Bug 59674 - FILESAVE DOC: tabstop after bullet point in wrong position for MSWord (comment 9)
Summary: FILESAVE DOC: tabstop after bullet point in wrong position for MSWord (commen...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: DOC-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2013-01-21 18:20 UTC by Jaime Velasco Juan
Modified: 2020-09-10 19:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample documents (10.39 KB, application/zip)
2013-01-21 18:21 UTC, Jaime Velasco Juan
Details
screenshot (109.24 KB, image/png)
2013-01-21 18:23 UTC, Jaime Velasco Juan
Details
tabstopTest_59674.doc: two pages in MS Word 2016 - with dot-leader tabstop (11.00 KB, application/msword)
2020-07-27 10:56 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaime Velasco Juan 2013-01-21 18:20:23 UTC
Steps to reproduce:

Not sure, I found the problem by chance trying to export a document I had written, but I'm not sure how to trigger the bug again. It seems to have something to do with the use of ljist styles...

I'll attach a sample document that shows the problem, and the same document exported to .doc

Expected result:

Both documents should look the same. The .doc one should look the same in MS Word.

Actual results:

Libreoffice draws a bigger bullet in the .doc version than in the .odt one.

MS Word (2003) breaks the formatting, it looks like it changed the first character in the bulleted line with a new line. It also uses a bigger bullet than the .odt version.

Notes:

This bug was found in Libreoffice 3.5.4, but it has been confirmed with 4.0.0rc1
Comment 1 Jaime Velasco Juan 2013-01-21 18:21:20 UTC
Created attachment 73399 [details]
sample documents
Comment 2 Jaime Velasco Juan 2013-01-21 18:23:39 UTC
Created attachment 73400 [details]
screenshot

top: Libreoffice, exported .doc file
middle: MS Word 2003, exported .doc file
bottom: Libreoffice, original .odt file
Comment 3 Joel Madero 2013-01-21 22:20:14 UTC
Reproducible with 3.6.3.2 - changing version.

@Jaime - just a heads up that Version refers to the oldest version that we see the bug, not the latest that it was tested.

Thanks for reporting!

Marking as:
New (confirmed)
Minor (can theoretically make high quality work harder to achieve)
Low (default for minor, don't see a reason to change this)
Comment 4 QA Administrators 2015-02-19 15:50:22 UTC Comment hidden (obsolete)
Comment 5 Jaime Velasco Juan 2015-02-23 16:57:47 UTC
Tried again and got the same result.

I've tested with:
  4.3.5 on Windows XP
  4.4.1.1 40m0(Build:1) (Debian experimental)
  4.5.0.0.alpha0+ Build ID: e1ef9e9999b1d9256a803abb59c9b70e4690f8be self built on Debian

No changes whatsoever
Comment 6 Stéphane Aulery 2016-03-07 01:51:01 UTC
Still present in LO 5.1.0.3.
Comment 7 QA Administrators 2018-09-28 02:43:36 UTC Comment hidden (obsolete, spam)
Comment 8 Justin L 2020-04-23 18:06:24 UTC
The bullet size looks fine to me in LO 7.0+ for doc and docx.
However, there are serious problems with tabstops not matching up in Word - which pushes the content to the line below the bullet. And Word 2003 is using a pretty heavy bullet.
Comment 9 Justin L 2020-04-23 18:46:40 UTC
The size of the bullets is covered in bug 85964. So in this report, just focus on the tabstops.

Notice that it is MICROSOFT WORD that isn't looking good here. Also notice that the tabstop is for 0.3cm and 20cm - so if it misses the 0.3cm tabstop, it just jumps to the next line.
Comment 10 Justin L 2020-07-25 12:23:01 UTC
repro 7.1 for exporting to both DOC and DOCX formats.
Comment 11 Justin L 2020-07-27 10:56:50 UTC
Created attachment 163608 [details]
tabstopTest_59674.doc: two pages in MS Word 2016 - with dot-leader tabstop

So, it looks like this document was carefully designed - except wrongly done.
On the first numbering, the Indent is 0.5 and the tabstop is 0.8
On the bullet numbering, the Indent is 0.8 and the tabstop is 0.3 (after a first line indent of 0.5.). So, it looks like the author added up 0.5 and +0.3 to try to get the tabstop at 0.8 - except it doesn't work that way. The tabstop is not relative positioning, but absolute. So a tabstop BEFORE the first line indent does nothing.

LO treats the IndentAt as a tabstop, but MS Word does not. (Well, that statement needs to be qualified - for .doc format it is true. It is also true for .docx with Word 2003, but NOT with Word 2016.) So the fix in this case seems to be to set the tabstop at IndentAt if the tabstop is less than or equal to the first line indent. (really it should be <= firstLineIndent+numberingCharWidth).
Comment 12 Commit Notification 2020-07-29 09:59:49 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5ad17c85dc93973c0cbb1d633b9eed144f0677de

tdf#59674 Word export: set a tabstop at numbering IndentAt

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-09-10 19:31:21 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/23126db6e0ca3eb51748b6f579d066f20536d27b

Revert "tdf#59674 Word export: set a tabstop at numbering IndentAt"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Justin L 2020-09-10 19:37:09 UTC
(In reply to Commit Notification from comment #13)
> Revert "tdf#59674 Word export: set a tabstop at numbering IndentAt"

reverted because it caused a regression, documented in bug 136644.